Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1752240 - At "Clear Recent History" dialogue, sub-menu "Range" cannot respond with the mouse click.
Summary: At "Clear Recent History" dialogue, sub-menu "Range" cannot respond with the...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 33
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jan Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ffwayland
TreeView+ depends on / blocked
 
Reported: 2019-09-15 02:20 UTC by Ooyama Yosiyuki
Modified: 2021-10-18 12:48 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 12:48:38 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Mozilla Foundation 1621660 0 P2 NEW [Wayland] Clear Recent History dropdown list items cannot be selected with the mouse 2021-01-28 07:31:23 UTC

Description Ooyama Yosiyuki 2019-09-15 02:20:10 UTC
Description of problem:
With the menu bar displayed,
By mouse operation from the menu bar, choosing 
        History - Clear Recent History

Sub-menu "Time Range to Clear" in the dialog window that appears after pressing "Clear Recent History".

The sub-menu don't respond with the mouse. Therefore, the range cannot be selected by mouse.
However, this sub-menu respond with the keyboard of arrow keys. So, I can use the arrow keys to select one range.

Version-Release number of selected component (if applicable):


How reproducible:
everytime

Steps to Reproduce:
1. menu bar is displayed
2. click "History"
3. click "Clear Recent History"
4. click next to "Time Range to Clear" 
5  Move the mouse cursor to the range that you want to clear
6. left-click

Actual results:
Sub-menu lists under the "Time Range to Clear" is cannot responded with mouse.

Expected results:
Respond after left-click of Step 6 .

Additional info:

Comment 1 Martin Stransky 2019-09-19 12:29:13 UTC
Wayland issue, moving to Jan.

Comment 2 Ben Cotton 2020-11-03 17:03:36 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-11-24 16:48:02 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Christian Stadelmann 2020-11-28 01:45:10 UTC
Issue still present with Fedora 33 and the following software versions:
firefox-83.0-3.fc33.x86_64
mutter-3.38.1-2.fc33.x86_64
gnome-shell-3.38.1-3.fc33.x86_64
gtk3-3.24.23-1.fc33.x86_64

Comment 5 Jan Horak 2021-10-18 12:48:38 UTC
The UI has been changed since the report and by my testing it should be working fine. Please reopen if you still see this issue on Firefox 93 and Fedora.


Note You need to log in before you can comment on or make changes to this bug.